Arbor 3: FSM & BT Graph Editor 3.7.1

Public Member Functions | Public Attributes | Protected Member Functions | Properties | List of all members
InputSlotBase Class Referenceabstract

Input slot More...

Inheritance diagram for InputSlotBase:

## Public Member Functions
void | SetBranch (DataBranch branch)
| Set DataBranch. More...
bool | RemoveBranch (DataBranch branch)
| Remove DataBranch. More...
bool | ResetBranch ()
| Reset DataBranch More...
DataBranch | GetBranch ()
| Get DataBranch. More...
bool | IsConnected (DataBranch branch)
| It judges whether it is connected with DataBranch. More...
override void | Disconnect ()
| Disconnect the connection. More...
override void | ClearBranch ()
| Clear the connection status. More...
void | SetInputBranch (DataBranch branch)
| Set DataBranch. More...
void | RemoveInputBranch (DataBranch branch)
| Remove DataBranch. More...
DataBranch | GetInputBranch ()
| Get DataBranch. More...
bool | IsConnectedInput (DataBranch branch)
| It judges whether it is connected with DataBranch. More...

## Public Attributes
int | branchID
| Branch ID More...
Public Attributes inherited from DataSlot
NodeGraph | nodeGraph
| State machine slot belongs More...
Rect | position
| Position on ArborEditor of slot(Editor Only) More...

## Protected Member Functions
abstract object | GetValueObject ()
| Get the value object. More...

## Properties
override SlotType | slotType`[get]`
| Slot type More...
DataBranch? | branch`[get]`
| Get branch More...
bool | isUsed`[get]`
| Gets whether or not a value is used. More...
float | updatedTime`[get]`
| Time that does not depend on timeScale when value is updated. More...
Properties inherited from DataSlot
abstract SlotType | slotType`[get]`
| Slot type More...
abstract System.Type | dataType`[get]`
| The type of data stored in the slot More...
Properties inherited from IDataSlot
SlotType | slotType`[get]`
| Slot type More...
System.Type | dataType`[get]`
| The type of data stored in the slot More...

## Additional Inherited Members
Events inherited from DataSlot
System.Action< bool > | onConnectionChanged
| Callback event when connection is changed More...

## Detailed Description

Input slot

## Member Function Documentation

## ◆ ClearBranch()

override void ClearBranch | ( |  | ) |
| virtual

Clear the connection status.

Since the DataBranch remains, call it when the connection status is no longer needed by copy and paste.

Implements DataSlot.

## ◆ Disconnect()

override void Disconnect | ( |  | ) |
| virtual

Disconnect the connection.

Implements DataSlot.

## ◆ GetBranch()

DataBranch GetBranch | ( |  | ) |

Get DataBranch.

Returns
  DataBranch

Implements IInputSlot.

## ◆ GetInputBranch()

DataBranch GetInputBranch | ( |  | ) |

Get DataBranch.

Returns
  DataBranch

## ◆ GetValueObject()

abstract object GetValueObject | ( |  | ) |
| protected pure virtual

Get the value object.

Returns
  Returns the value object.

Implemented in InputSlotAny, InputSlotTypable, and InputSlot< T >.

## ◆ IsConnected()

bool IsConnected | ( | DataBranch | branch | ) |

It judges whether it is connected with DataBranch.

Parameters

  branch | DataBranch

Returns
  True if connected, false otherwise.

Implements IInputSlot.

## ◆ IsConnectedInput()

bool IsConnectedInput | ( | DataBranch | branch | ) |

It judges whether it is connected with DataBranch.

Parameters

  branch | DataBranch

Returns
  True if connected, false otherwise.

## ◆ RemoveBranch()

bool RemoveBranch | ( | DataBranch | branch | ) |

Remove DataBranch.

Parameters

  branch | DataBranch

Returns
  Returns true if removed.

Implements IInputSlot.

## ◆ RemoveInputBranch()

void RemoveInputBranch | ( | DataBranch | branch | ) |

Remove DataBranch.

Parameters

  branch | DataBranch

## ◆ ResetBranch()

bool ResetBranch | ( |  | ) |

Reset DataBranch

Returns
  Returns true if removed.

Implements IInputSlot.

## ◆ SetBranch()

void SetBranch | ( | DataBranch | branch | ) |

Set DataBranch.

Parameters

  branch | DataBranch

Implements IInputSlot.

## ◆ SetInputBranch()

void SetInputBranch | ( | DataBranch | branch | ) |

Set DataBranch.

Parameters

  branch | DataBranch

## Member Data Documentation

## ◆ branchID

int branchID

Branch ID

## Property Documentation

## ◆ branch

DataBranch? branch
| get

Get branch

## ◆ isUsed

bool isUsed
| get

Gets whether or not a value is used.

## ◆ slotType

override SlotType slotType
| get

Slot type

## ◆ updatedTime

float updatedTime
| get

Time that does not depend on timeScale when value is updated.